OPEN API
  1. Assets
OPEN API
  • Organization Info
    • Get information about your organization
      GET
  • Drivers
    • List all drivers
      GET
    • Retrieve a driver
      GET
  • Hours Of Service
    • Get HOS clocks
      GET
    • Get all driver HOS daily logs
      GET
    • Get HOS logs
      GET
  • Vehicles
    • List all vehicles
      GET
    • Retrieve a vehicle
      GET
  • Assets
    • List Assets
      GET
    • Get Asset
      GET
    • Latest Asset Locations
      GET
  • Fault Codes
    • List Fault Code Events
      GET
  • Vehicle Locations
    • Historical Vehicle Locations
      GET
    • Latest Vehicle Locations
      GET
  • Trips
    • Get Vehicle Trips
      GET
  • Vehicle Stats
    • Vehicle Stats snapshot
      GET
  • Maintenance
    • Get all DVIRs
      GET
  • IFTA
    • Get IFTA jurisdiction reports
      GET
  • Safety
    • List Safety Events
    • Get Safety Event
    • Get Last Snapshot
    • Get Live Snapshot
  • Webhook
    • Sample Webhook request for specific trigger
    • Subscribe to specific immediately events
    • Available list of Triggers
    • Unsubscribe form events
  • Schemas
    • Schemas
      • CompanyResponse
      • DriverResponse
      • TimezoneEnum
      • TripLocation
      • TripStartEnd
      • VehicleResponse
    • AvailableTime
    • Asset
    • CompanyDetail
    • AssetLocationItem
    • AssetsResponse
    • CurrentStatusEnum
    • DVIRList
    • Driver
    • DVIRTrailerDefects
    • DriverLicense
    • DVIRVehicle
    • DVIRVehicleDefects
    • HosDailyLogs
    • HosDailyLogsResponse
    • HosLogsResponse
    • ForVehicleLocationResponse
    • LicensePlate
    • Location
    • PaginatedDriverList
    • IFTAItem
    • FaultCodeEvent
    • PaginatedHosLogsResponseList
    • IFTAReport
    • PaginatedTripResponseList
    • PaginatedVehicleList
    • PaginatedVehicleLocationResponseList
    • OpenAPIWebhookSubscribeRequest
    • HosLogAddress
    • Response
    • OpenAPIWebhookUnsubscribeRequest
    • HosLogLocation
    • Result
    • StatusEnum
    • PaginatedDVIRListList
    • StatusDurations
    • VehicleRoute
    • PaginatedIFTAReportList
    • PaginatedForVehicleLocationResponseList
    • TripResponse
    • VehicleRouteLocation
    • VehicleRouteStartEnd
    • NullEnum
    • Vehicle
    • VehicleSResponse
    • VehicleLocationResponse
    • VehicleStats
    • PaginatedWebhookTriggerList
    • PaginatedAssetLocationItemList
    • PaginatedFaultCodeEventList
    • WebhookTrigger
    • SafetyEvent
    • SafetyEventsResponse
    • SafetySnapshot
    • SafetySnapshotParamsRequest
    • TypeEnum
  1. Assets

Get Asset

GET
https://api.firsteld.com/openapi/assets/{id}/
Get information about a specific asset.

Request

Path Params

Responses

🟢200
application/json
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.firsteld.com/openapi/assets//'
Response Response Example
{
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "status": "active",
    "name": "Trailer #02323",
    "vin": "1HGCM82633A004352",
    "serialNumber": "004352",
    "make": "Great Dane Trailers",
    "model": "Champion CP Plate Van with 24 Posts",
    "year": 2013,
    "licensePlate": {
        "state": "TN",
        "number": "ABC-1234"
    },
    "metadata": {
        "addedAt": "2024-01-15T14:30:05.000Z",
        "modifiedAt": "2024-01-15T14:30:05.000Z"
    }
}
Modified at 2026-03-03 20:51:36
Previous
List Assets
Next
Latest Asset Locations
Built with